{% extends "dashboard/dashboard_content.html" %}


{% block rightPane %}
    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-user"></i>
                Overall Consolidated Attendance report
            </h2>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            <div class="row">
                <ul class="nav nav-tabs bar_tabs" id="myTab">
                    {% for sem in semesters %}
                        {% if sem.semester_instance.pk == selected_semester_pk %}
                            <li class="active">
                                <a aria-expanded="true"
                                   id={{ sem.semester_instance.pk }}
                                           data-toggle="tab" name="batch_tab">
                                    {{ sem.display_text }}
                                </a>
                            </li>
                        {% else %}
                            <li class="">
                                <a aria-expanded="false"
                                   id={{ sem.semester_instance.pk }}
                                           data-toggle="tab" name="batch_tab">
                                    {{ sem.display_text }}
                                </a>
                            </li>
                        {% endif %}
                    {% endfor %}
                </ul>
                <br>
                <br>
                <div class="tab-content">
                    {% if overall_result and overall_result.courses_and_faculty_list %}
                        <div class="col-md-offset-10">
                            <button type="button" class="btn btn-primary" id='genrate_pdf'>
                                Generate PDF
                            </button>
                        </div>
                        <div class="alert alert-success" role="alert">
                            <div><h4><strong>This report is from {{ current_start_date }}
                                to {{ current_end_date }} </strong></h4></div>
                        </div>
                        <div class="table-responsive">
                        <table style="width: inherit"
                               class="table table-striped table-condensed table-bordered table-responsive">
                            <thead>
                            <tr>
                                <th rowspan="2" style="width: 5%">S.No.</th>
                                <th rowspan="2" style="width: 7%">Roll Number</th>
                                <th align="left" rowspan="2" style="width: 12%">Name</th>
                                {% for entry in overall_result.courses_and_faculty_list %}
                                    <th colspan="4">{{ entry.course_obj }}{% for each in entry.faculty_obj %}
                                        <br>{{ each }}
                                    {% endfor %}</th>
                                {% endfor %}
                            </tr>
                            <tr>
                                {% for entry in overall_result.courses_and_faculty_list %}
                                    <th style="width: {{ rest_width }}%">T</th>
                                    <th style="width: {{ rest_width }}%">P</th>
                                    <th style="width: {{ rest_width }}%">A</th>
                                    <th style="width: {{ percentage_width }}%">%</th>
                                {% endfor %}
                            </tr>
                            </thead>
                            <tbody>

                            {% for entry in overall_result.student_list %}
                                <tr>
                                    <td>{{ forloop.counter }}</td>
                                    <td>{{ entry.roll_no }}</td>
                                    <td align="left">{{ entry.name }}</td>
                                    {% for entry in entry.list %}
                                        <td>{{ entry }}</td>
                                    {% endfor %}
                                </tr>
                            {% endfor %}
                            </tbody>

                        </table>
                    {% endif %}
                    </div>

                </div>
            </div>
        </div>
    </div>
    <form id="dummy_form" method="post">
        {% csrf_token %}
    </form>



    <script type="text/javascript">


        var current_active_batch;
        //For getting CSRF token
        function getCookie(name) {
            var cookieValue = null;
            if (document.cookie && document.cookie != '') {
                var cookies = document.cookie.split(';');
                for (var i = 0; i < cookies.length; i++) {
                    var cookie = jQuery.trim(cookies[i]);
                    // Does this cookie string begin with the name we want?
                    if (cookie.substring(0, name.length + 1) == (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }

        $('document').ready(function () {
            $('[name="batch_tab"]').click(function () {

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('form');
                //alert($('this').textContent);

                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'semester_pk'});
                //alert(this.id);
                $hiddenInput.appendTo('form');

                $('#dummy_form').submit();
            });
        });

        $('document').ready(function () {
            $('#genrate_pdf').click(function () {
                //alert('sid');
                window.location = '{% url 'overall_consolidatd_attendance_pdf_report' semester_pk=selected_semester_pk %}';
            });
        });
    </script>

{% endblock %}